Resolve an id of a previous build of the lean set
curl --request GET \
--url https://api.investorlift.com/v3/ids/resolve/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/ids/resolve/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/ids/resolve/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"old_id": "AZ:agt:746abc7438c7",
"kind": "agent",
"current_id": "AZ:agt:746abc7438c7",
"hops": []
},
"meta": {
"generated_at": "2026-09-23T03:03:14.689Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-09-22T13:41:32.949Z",
"published_at": "2026-09-23T01:02:16.717Z",
"run_id": 1790123752
}
]
}
}
}Lean set (/v3)
Resolve an id of a previous build of the lean set
Resolve an id of a previous build of the lean set.
GET
/
v3
/
ids
/
resolve
/
{id}
Resolve an id of a previous build of the lean set
curl --request GET \
--url https://api.investorlift.com/v3/ids/resolve/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/ids/resolve/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/ids/resolve/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"old_id": "AZ:agt:746abc7438c7",
"kind": "agent",
"current_id": "AZ:agt:746abc7438c7",
"hops": []
},
"meta": {
"generated_at": "2026-09-23T03:03:14.689Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-09-22T13:41:32.949Z",
"published_at": "2026-09-23T01:02:16.717Z",
"run_id": 1790123752
}
]
}
}
}This route serves the lean set under
/v3/ids/resolve/{id}. See The lean dataset for the tier rules.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key. The same key works on POST /mcp.
Path Parameters
The id of a previous build: a person id or an agent id.
Was this page helpful?